# MatCholeskyFactor

Performs in-place Cholesky factorization of a symmetric matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCholeskyFactor(Mat mat,IS perm,MatFactorInfo *info)

Collective on Mat

### Input Parameters

| mat | - the matrix
| perm | - row and column permutations
| f | - expected fill as ratio of original fill

### Notes

See MatLUFactor() for the nonsymmetric case. See also MatCholeskyFactorSymbolic(), and MatCholeskyFactorNumeric().

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactor(), MatCholeskyFactorSymbolic(), MatCholeskyFactorNumeric()
MatGetOrdering()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages